package com.example.exam;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;
import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

public class MainActivity extends AppCompatActivity {

    EditText login, password;
    Button signIn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        signInMethod();
    }

    private void signInMethod()
    {
        signIn = findViewById(R.id.signInButton);
        login = findViewById(R.id.loginUser);
        password = findViewById(R.id.passwordUser);
        signIn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                try
                {
                    Retrofit retrofit = new Retrofit.Builder().baseUrl("https://ngknn.ru:5001/NGKNN/СергеичевАД/api/").addConverterFactory(GsonConverterFactory.create()).build();
                    MethodsAPI methodsApi = retrofit.create(MethodsAPI.class);
                    Call<Users> get = methodsApi.getUser(login.getText().toString());
                    get.enqueue(new Callback<Users>() {
                        @Override
                        public void onResponse(Call<Users> call, Response<Users> response) {

                        }

                        @Override
                        public void onFailure(Call<Users> call, Throwable t) {

                        }
                    });
                }
                catch (Exception ex)
                {
                    System.out.println(ex.getMessage());
                }
            }
        });
    }
}