package com.example.exam;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import retrofit2.http.Query;

public interface MethodsAPI {

    @GET("Users")
    Call<Users> getUser(@Query("telephoneUser") String telephoneUser, @Query("passwordUser") String passwordUser);

    @GET("Users")
    Call<Users> getUser(@Query("telephoneUser") String telephoneUser);

    @POST("Users")
    Call<Users> postUser(@Body Users user);

    @PUT("Users/{id}")
    Call<Users> putUser(@Path("id") int id, @Body Users user);

    @DELETE("Users/{id}")
    Call<Users> deleteUser(@Path("id") int id);

}
